package cn.gintone.dto;

public class WebLogInfo {
    private Long timesta;
    private String timestaStr;
    private String userId; // 用户id
    private String username; // 用户名
    private String sysAbbre; // 系统简称
    private String url; // 访问链接
    private String accessed; // 访问时间
    private String type; // 日志类型(url, info, warning, error)
    private String clientIp; // 访问端ip
    private String remark; // 备注
    private String reqType; // 访问链接类型 dev:设备数据，req:系统访问
    private String deviceTypeName; // 设备类型名称
    private String deviceTypeId; // 设备类型ID

    public Long getTimesta() {
        return timesta;
    }

    public void setTimesta(Long timesta) {
        this.timesta = timesta;
    }

    public String getTimestaStr() {
        return timestaStr;
    }

    public void setTimestaStr(String timestaStr) {
        this.timestaStr = timestaStr;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getSysAbbre() {
        return sysAbbre;
    }

    public void setSysAbbre(String sysAbbre) {
        this.sysAbbre = sysAbbre;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getAccessed() {
        return accessed;
    }

    public void setAccessed(String accessed) {
        this.accessed = accessed;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getClientIp() {
        return clientIp;
    }

    public void setClientIp(String clientIp) {
        this.clientIp = clientIp;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getReqType() {
        return reqType;
    }

    public void setReqType(String reqType) {
        this.reqType = reqType;
    }

    public String getDeviceTypeName() {
        return deviceTypeName;
    }

    public void setDeviceTypeName(String deviceTypeName) {
        this.deviceTypeName = deviceTypeName;
    }

    public String getDeviceTypeId() {
        return deviceTypeId;
    }

    public void setDeviceTypeId(String deviceTypeId) {
        this.deviceTypeId = deviceTypeId;
    }

    @Override
    public String toString() {
        return "WebLogInfo{" +
                "timesta=" + timesta +
                ", timestaStr='" + timestaStr + '\'' +
                ", userId='" + userId + '\'' +
                ", username='" + username + '\'' +
                ", sysAbbre='" + sysAbbre + '\'' +
                ", url='" + url + '\'' +
                ", accessed='" + accessed + '\'' +
                ", type='" + type + '\'' +
                ", clientIp='" + clientIp + '\'' +
                ", remark='" + remark + '\'' +
                ", reqType='" + reqType + '\'' +
                ", deviceTypeName='" + deviceTypeName + '\'' +
                ", deviceTypeId='" + deviceTypeId + '\'' +
                '}';
    }
}
